<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@page language="java" contentType="text/html; charset=ISO-8859-1"	pageEncoding="ISO-8859-1"%>

<%@ include file="/WEB-INF/jsp/taglibs.jspf"%>

<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
		<title><fw:message key="customerList.title"/></title>
		<link href="css/exemple.css"	rel="stylesheet" type="text/css" />
		<script type="text/javascript" 	src="js/functions.js"></script>
	</head>
<body>

<jsp:include page="capcelera.jsp" flush="false"/>

<div class="customerList">
	<div class="pageTitle">
		<h2><fw:message key="customerList.title"/></h2>
		<div class="loginData">
			<div class="userData">
				<fw:message key="capcelera.user"/> <fw:output bean="USER_SESSION" property="nomComplet"/>
			</div>
			<div class="logoutLink">
				<a href="logout.fw">logout</a>
			</div>
		</div>
		<div class="clear"></div>
	</div>
	<form action="customerList.fw" method="post" name="customerListForm" class="customerListData">
		<input type="hidden" name="operation" value="" />
		<br>
		<c:choose>
			<c:when test="${empty customerListForm.customerList}">
				<div class="emptyList">
					<fw:message key="customerList.emptyList"/>
				</div>
				<br>
				<div class="right">
					<input type="submit" value="<fw:message key='customerList.botoAlta'/>" onclick="executarOperacio('customerListForm','alta')"/>
				</div>
			</c:when>
			<c:otherwise>
				<table>
					<thead>
						<tr>
							<th></th>
							<th class="th100"><fw:message key="customerList.nif"/></th>
							<th class="th175"><fw:message key="customerList.primerCognom"/></th>
							<th class="th175"><fw:message key="customerList.segonCognom"/></th>
							<th class="th150"><fw:message key="customerList.nom"/></th>
						</tr>
					</thead>
					<c:forEach var="customer" items="${customerListForm.customerList}">
						<tr>
							<td><input type="radio" name="customerListForm.idSeleccionat" value="${customer.id}" /></td>
							<td><c:out value="${customer.nif}" /></td>
							<td><c:out value="${customer.primerCognom}" /></td>
							<td><c:out value="${customer.segonCognom}" /></td>
							<td><c:out value="${customer.nom}" /></td>
						</tr>
					</c:forEach>
				</table>

		 		<div class="right">
					<input type="submit" value="<fw:message key='customerList.botoAlta'/>" onclick="executarOperacio('customerListForm','alta')"/>
					<input type="submit" value="<fw:message key='customerList.botoModificar'/>" onclick="executarOperacio('customerListForm','modificar')"/>
					<input type="submit" value="<fw:message key='customerList.botoConsulta'/>" onclick="executarOperacio('customerListForm','consulta')"/>
					<input type="submit" value="<fw:message key='customerList.botoBaixa'/>" onclick="executarOperacio('customerListForm','baixa')"/>
				</div>
				<div class="clear"></div>
				<br>
				<fw:command-messages cssClass="exempleMessages"/>
				</c:otherwise>
		</c:choose>
	</form>
</div>
</body>
</html>
