/*
 * Disseny i implementaci d'un marc de treball de presentaci per a aplicacions J2EE
 * 
 * Universitat Oberta de Catalunya (UOC)
 * 
 * Projecte de Final de Carrera - PFC - J2EE
 *
 * Alumne : Luis Bravo Fuentes
 * 
 * Consultor: Josep Maria Camps Riba
 */
package edu.uoc.exemplefw;

/**
 * Classe per a les constants de l'aplicaci d'exemple. 
 * 
 * @author Luis Bravo Fuentes
 * @version 1.0
 */
public class Constants {

	/**
	 * Constats per a la sessi
	 */
	public static class Session {		
		public static final String USER_SESSION 		= "USER_SESSION";
	}
	
	/**
	 * Constans per al tipus de comunicaci
	 */
	public static class TipusComunicacio {
		public static final String COMUNICACIO_TELEFON	= "T";
		public static final String COMUNICACIO_EMAIL	= "E";
	}
	
	/**
	 * Constants per al mode en que es troba el formulari
	 */
	public static class ModeFormulari {
		public static final String MODE_EDICIO			= "E";
		public static final String MODE_CONSULTA		= "C";
	}
}