/*
 * Disseny i implementaci d'un marc de treball de presentaci per a aplicacions J2EE
 * 
 * Universitat Oberta de Catalunya (UOC)
 * 
 * Projecte de Final de Carrera - PFC - J2EE
 *
 * Alumne : Luis Bravo Fuentes
 * 
 * Consultor: Josep Maria Camps Riba
 */
package edu.uoc.exemplefw.forms;

/**
 * Classe de formulari per a les dades del client
 *  
 * @author Luis Bravo Fuentes
 * @version 1.0
 */
public class CustomerDetailForm extends ExempleForm {

	/**
	 * Id del client seleccionat	
	 */
	private String idSeleccionat;

	/**
	 * Acci a realitzar amb les dades del formular (Alta/Baixa/Modificaci/Consulta)
	 */
	private String accio;
	
	/**
	 * Mode del formulari (Edici o Consulta)
	 */
	private String mode;

	/**
	 * Dades de client
	 */
	private CustomerDetail customerDetail = new CustomerDetail();

	/**
	 * @return el valor de idSeleccionat
	 */
	public String getIdSeleccionat() {
		return idSeleccionat;
	}

	/**
	 * @param idSeleccionat el valor de idSeleccionat a establir
	 */
	public void setIdSeleccionat(String idSeleccionat) {
		this.idSeleccionat = idSeleccionat;
	}

	/**
	 * @return el valor de accio
	 */
	public String getAccio() {
		return accio;
	}

	/**
	 * @param accio el valor de accio a establir
	 */
	public void setAccio(String accio) {
		this.accio = accio;
	}

	/**
	 * @return el valor de mode
	 */
	public String getMode() {
		return mode;
	}

	/**
	 * @param mode el valor de mode a establir
	 */
	public void setMode(String mode) {
		this.mode = mode;
	}

	/**
	 * @return el valor de customerDetail
	 */
	public CustomerDetail getCustomerDetail() {
		return customerDetail;
	}

	/**
	 * @param customerDetail el valor de customerDetail a establir
	 */
	public void setCustomerDetail(CustomerDetail customerDetail) {
		this.customerDetail = customerDetail;
	}
}