/*
 * Disseny i implementaci d'un marc de treball de presentaci per a aplicacions J2EE
 * 
 * Universitat Oberta de Catalunya (UOC)
 * 
 * Projecte de Final de Carrera - PFC - J2EE
 *
 * Alumne : Luis Bravo Fuentes
 * 
 * Consultor: Josep Maria Camps Riba
 */
package edu.uoc.exemplefw.forms;

import java.util.ArrayList;
import java.util.List;

/**
 * Classe de formulari per a les dades de la llista de clients 
 *  
 * @author Luis Bravo Fuentes
 * @version 1.0
 */
public class CustomerListForm extends ExempleForm {

	/**
	 * Id del client seleccionat
	 */
	private String idSeleccionat = "";
	
	/**
	 * Llista de clients
	 */
	List<CustomerListRow> customerList = new ArrayList<CustomerListRow>();

	/**
	 * @return el valor de idSeleccionat
	 */
	public String getIdSeleccionat() {
		return idSeleccionat;
	}

	/**
	 * @param idSeleccionat el valor de idSeleccionat a establir
	 */
	public void setIdSeleccionat(String idSeleccionat) {
		this.idSeleccionat = idSeleccionat;
	}

	/**
	 * @return el valor de customerList
	 */
	public List<CustomerListRow> getCustomerList() {
		return customerList;
	}

	/**
	 * @param customerList el valor de customerList a establir
	 */
	public void setCustomerList(List<CustomerListRow> customerList) {
		this.customerList = customerList;
	}
}