/*
 * Disseny i implementaci d'un marc de treball de presentaci per a aplicacions J2EE
 * 
 * Universitat Oberta de Catalunya (UOC)
 * 
 * Projecte de Final de Carrera - PFC - J2EE
 *
 * Alumne : Luis Bravo Fuentes
 * 
 * Consultor: Josep Maria Camps Riba
 */
package edu.uoc.exemplefw.forms;

/**
 * Classe que contindr les dades d'una fila de la llista de clients.
 * 
 * @author Luis Bravo Fuentes
 * @version 1.0
 */
public class CustomerListRow {

	/**
	 * Identificador del client
	 */
	private Integer id;

	/**
	 * Nom del client
	 */
	private String nom;

	/**
	 * Primer cognom del client
	 */
	private String primerCognom;

	/**
	 * Segon cognom del client
	 */
	private String segonCognom;

	/**
	 * N.I.F. del client
	 */
	private String nif;

	/**
	 * @return el valor de id
	 */
	public Integer getId() {
		return id;
	}

	/**
	 * @param id el valor de id a establir
	 */
	public void setId(Integer id) {
		this.id = id;
	}

	/**
	 * @return el valor de nom
	 */
	public String getNom() {
		return nom;
	}

	/**
	 * @param nom el valor de nom a establir
	 */
	public void setNom(String nom) {
		this.nom = nom;
	}

	/**
	 * @return el valor de primerCognom
	 */
	public String getPrimerCognom() {
		return primerCognom;
	}

	/**
	 * @param primerCognom el valor de primerCognom a establir
	 */
	public void setPrimerCognom(String primerCognom) {
		this.primerCognom = primerCognom;
	}

	/**
	 * @return el valor de segonCognom
	 */
	public String getSegonCognom() {
		return segonCognom;
	}

	/**
	 * @param segonCognom el valor de segonCognom a establir
	 */
	public void setSegonCognom(String segonCognom) {
		this.segonCognom = segonCognom;
	}

	/**
	 * @return el valor de nif
	 */
	public String getNif() {
		return nif;
	}

	/**
	 * @param nif el valor de nif a establir
	 */
	public void setNif(String nif) {
		this.nif = nif;
	}
}