/*
 * Disseny i implementaci d'un marc de treball de presentaci per a aplicacions J2EE
 * 
 * Universitat Oberta de Catalunya (UOC)
 * 
 * Projecte de Final de Carrera - PFC - J2EE
 *
 * Alumne : Luis Bravo Fuentes
 * 
 * Consultor: Josep Maria Camps Riba
 */
package edu.uoc.exemplefw.forms;

/**
 * Classe de formulari per a les dades de la pgina de login de l'aplicaci
 *  
 * @author Luis Bravo Fuentes
 * @version 1.0
 */
public class LoginForm extends ExempleForm {

	/**
	 * Nom de l'usuari
	 */
	private String username;

	/**
	 * Contrasenya de l'usuari
	 */
	private String password;

	/**
	 * @return el valor de username
	 */
	public String getUsername() {
		return username;
	}

	/**
	 * @param username el valor de username a establir sense espais
	 */
	public void setUsername(String username) {
		this.username = (username!=null)?username.trim():null;
	}

	/**
	 * @return el valor de password
	 */
	public String getPassword() {
		return password;
	}

	/**
	 * @param password el valor de password a establir sense espais
	 */
	public void setPassword(String password) {
		this.password = (password!=null)?password.trim():null;
	}
}