<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>

<%@ include file="/WEB-INF/jsp/taglibs.jspf"%>

<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
		<title>Dades del client</title>
		<link href="css/exemple.css"	rel="stylesheet" type="text/css" />
		<script type="text/javascript" 	src="js/functions.js"></script>
	</head>
<body onload="habilitarCamps('customerDetailForm')">

<jsp:include page="capcelera.jsp" flush="false"/>

<div class="customerDetail">
	<div class="pageTitle">
		<h2><fw:message key="customerDetail.title"/></h2>
		<div class="loginData">
			<div class="userData">
				<fw:message key="capcelera.user"/> <fw:output bean="USER_SESSION" property="nomComplet"/>
			</div>
			<div class="logoutLink">
				<a href="logout.fw">logout</a>
			</div>
		</div>
		<div class="clear"></div>
	</div>
	<form action="customerDetail.fw" method="post" name="customerDetailForm" class="customerDetailData">
		<input type="hidden" name="operation" value="" />
		<input type="hidden" name="mode" value="${customerDetailForm.mode}" />
		<div class="row formTitle">
			<c:choose>
				<c:when test="${customerDetailForm.accio == 'alta'}">
					<fw:message key="customerDetail.accio.alta"/>
				</c:when>
				<c:when test="${customerDetailForm.accio == 'baixa'}">
					<fw:message key="customerDetail.accio.baixa"/>
				</c:when>
				<c:when test="${customerDetailForm.accio == 'modificar'}">
					<fw:message key="customerDetail.accio.modificar"/>
				</c:when>
				<c:when test="${customerDetailForm.accio == 'consulta'}">
					<fw:message key="customerDetail.accio.consulta"/>
				</c:when>
			</c:choose>
		</div>
		<div class="row">
			<div class="cell left bold">
				<fw:message key="customerDetail.nif"/>
			</div>
			<div class="cell left">
				<fw:text form="customerDetailForm" property="customerDetail.nif" maxlength="9" size="10" />
			</div>
			<div class="clear"></div>
		</div>
		<div class="row">
			<div class="cell left bold">
				<fw:message key="customerDetail.nom"/>
			</div>
			<div class="cell left">
				<fw:text form="customerDetailForm" property="customerDetail.nom" maxlength="30" size="30"/>
			</div>
			<div class="clear"></div>
		</div>
		<div class="row">
			<div class="cell left bold">
				<fw:message key="customerDetail.primerCognom"/>
			</div>
			<div class="cell left">
				<fw:text form="customerDetailForm" property="customerDetail.primerCognom" maxlength="30" size="30"/>
			</div>
			<div class="clear"></div>
		</div>
		<div class="row">
			<div class="cell left bold">
				<fw:message key="customerDetail.segonCognom"/>
			</div>
			<div class="cell left">
				<fw:text form="customerDetailForm" property="customerDetail.segonCognom" maxlength="30" size="30"/>
			</div>
			<div class="clear"></div>
		</div>
		<div class="row">
			<div class="cell left bold">
				<fw:message key="customerDetail.sexe"/>
			</div>
			<div class="cell left">
				<fw:message key="customerDetail.sexe.home"/> 
				<input type="radio" name=customerDetail.sexe value="H"
					<c:if test='${customerDetailForm.customerDetail.sexe == "H" }'>
						checked="checked"
					</c:if>
				/>
				<fw:message key="customerDetail.sexe.dona"/> 
				<input type="radio" name="customerDetail.sexe" value="D"
					<c:if test='${customerDetailForm.customerDetail.sexe == "D" }'>
						checked="checked"
					</c:if>
				/>
			</div>
			<div class="clear"></div>
		</div>
		<div class="row">
			<div class="cell left bold">
				<fw:message key="customerDetail.dataNaixement"/>
			</div>
			<div class="cell left">
				<fw:text form="customerDetailForm" property="customerDetail.dataNaixement" maxlength="10" size="11"/>
			</div>
			<div class="clear"></div>
		</div>		
		<div class="row">
			<div class="cell left bold">
				<fw:message key="customerDetail.email"/>
			</div>
			<div class="cell left">
				<fw:text form="customerDetailForm" property="customerDetail.email" maxlength="30" size="30"/>
			</div>
			<div class="clear"></div>
		</div>
		<div class="row">
			<div class="cell left bold">
				<fw:message key="customerDetail.telefon"/>
			</div>
			<div class="cell left">
				<fw:text form="customerDetailForm" property="customerDetail.telefon" maxlength="9" size="10"/>
			</div>
			<div class="clear"></div>
		</div>
		<div class="row">
			<div class="cell left bold">
				<fw:message key="customerDetail.contacte"/>
			</div>
			<div class="cell left">
				<fw:message key="customerDetail.contacte.telefon"/>
				<input type="checkbox" name="customerDetailForm.customerDetail.tipusComunicacio" value="T"
					<c:if test='${customerDetailForm.customerDetail.hashTipusComunicacio["T"] == true }'>
						checked="checked"
					</c:if>
				/>
				<fw:message key="customerDetail.contacte.email"/>
				<input type="checkbox" name="customerDetailForm.customerDetail.tipusComunicacio" value="E"
					<c:if test='${customerDetailForm.customerDetail.hashTipusComunicacio["E"] == true }'>
						checked="checked"
					</c:if>
				/>
			</div>
			<div class="clear"></div>
		</div>
		<div class="row">
			<div class="right">
				<input type="submit" value="<fw:message key='boto.acceptar'/>" onclick="
				<c:choose>
					<c:when test="${customerDetailForm.accio == 'baixa' }">
						confirmarOperacio('customerDetailForm', 'acceptar', '<fw:message key="customerDetail.accio.baixa.confirmar"/>')
					</c:when>
					<c:otherwise>
						executarOperacio('customerDetailForm', 'acceptar')
					</c:otherwise>
				</c:choose>
				"/>
				<%-- <input type="submit" value="<fw:message key='boto.acceptar'/>" onclick="executarOperacio('customerDetailForm','acceptar')"/> --%>
				<c:if test="${customerDetailForm.accio != 'consulta'}">
					<input type="submit" value="<fw:message key='boto.cancelar'/>" onclick="executarOperacio('customerDetailForm','cancelar')"/>
				</c:if>
			</div>
			<div class="clear"></div>
		</div>
		<div class="clear"></div>		 	
		<fw:command-messages cssClass="exempleMessages"/>
	</form>
</div>

</body>
</html>
