/*
 * Disseny i implementaci d'un marc de treball de presentaci per a aplicacions J2EE
 * 
 * Universitat Oberta de Catalunya (UOC)
 * 
 * Projecte de Final de Carrera - PFC - J2EE
 *
 * Alumne : Luis Bravo Fuentes
 * 
 * Consultor: Josep Maria Camps Riba
 */
package edu.uoc.exemplefw.forms;

import edu.uoc.fw.core.form.Form;

/**
 * Classe base per a tots el formularis de l'aplicaci d'exemple.
 * 
 * @author Luis Bravo Fuentes
 * @version 1.0
 */
public class ExempleForm extends Form {

	/**
	 * Operaci realitzada amb el formulari
	 */
	private String operation;

	/**
	 * @return el valor de operation
	 */
	public String getOperation() {
		return operation;
	}

	/**
	 * @param operation el valor de operation a establir
	 */
	public void setOperation(String operation) {
		this.operation = operation;
	}
}