/*
 * Disseny i implementaci d'un marc de treball de presentaci per a aplicacions J2EE
 * 
 * Universitat Oberta de Catalunya (UOC)
 * 
 * Projecte de Final de Carrera - PFC - J2EE
 *
 * Alumne : Luis Bravo Fuentes
 * 
 * Consultor: Josep Maria Camps Riba
 */
package edu.uoc.fw.core.exceptions;

/**
 * Excepcions en la configuraci de l'aplicaci.
 * 
 * @author Luis Bravo Fuentes
 * @version 1.0
 */
public class ConfigurationException extends Exception {

	private static final long serialVersionUID = -829423595108418816L;

	public ConfigurationException(String message) {
		super(message);
	}
	
	public ConfigurationException(String message, Throwable t) {
		super(message, t);
	}
}